export interface HppOutStockDetailVO {
  /**
   * 主键id
   */
  objId: string | number;

  /**
   * 流水卡号
   */
  cardNo: string;

  /**
   * 工装架子号
   */
  shelfNo: string;

  /**
   * 库位id
   */
  storePlaceId: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode: string;

  /**
   * 出库类型
   */
  outType: string;

  /**
   * 目的库位
   */
  targetStorePlaceId: string | number;

}

export interface HppOutStockDetailForm extends BaseEntity {
  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位id
   */
  storePlaceId?: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode?: string;

  /**
   * 出库类型
   */
  outType?: string;

  /**
   * 目的库位
   */
  targetStorePlaceId?: string | number;

}

export interface HppOutStockDetailQuery extends PageQuery {

  /**
   * 主键id
   */
  objId?: string | number;

  /**
   * 流水卡号
   */
  cardNo?: string;

  /**
   * 工装架子号
   */
  shelfNo?: string;

  /**
   * 库位id
   */
  storePlaceId?: string | number;

  /**
   * 品级编号,0:合格,1:不合格
   */
  gradeCode?: string;

  /**
   * 出库类型
   */
  outType?: string;

  /**
   * 目的库位
   */
  targetStorePlaceId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



